Access restriction: The constructor 'BASE64Encoder()' is not API (restriction on required library 'D:\ProgramFiles\JDK1.8\jre\lib\rt.jar')

刘超 25天前 ⋅ 153 阅读   编辑

一、描述

  eclipse jdk1.8使用BASE64Encoder,有如下提示
 

二、解决方法

  项目右键–>Properties–>Java Build Path,切换到libraries tab页,找到JRE System Library移除, 然后再点击Add Library–>JRE System Library添加即可

三、参考文章
  1、eclipse错误:Access restriction: The type 'BASE64Decoder' is not API
  2、Eclipse下BASE64Decoder提示错误的解决办法


注意:本文归作者所有,未经作者允许,不得转载

全部评论: 0

    我有话说: